xmoto (0.6.2+repack-3) unstable; urgency=medium

  * Clean up the list of uploaders. Thanks to all the previous
    maintainers!
  * Standards-Version 4.7.2, no change required.
  * Use the compiler’s default C++ standard. Closes: #1101260.

 -- Stephen Kitt <skitt@debian.org>  Tue, 25 Mar 2025 23:19:23 +0100

xmoto (0.6.2+repack-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 25 Jun 2023 15:22:05 +0200

xmoto (0.6.2+repack-1) experimental; urgency=medium

  * New upstream release, switching to SDL2. Closes: #1038490.
  * Enable LZMA support.
  * Drop gcc-4.7-fixes.patch, it’s no longer necessary.
  * Upgrade to Lua 5.4.

 -- Stephen Kitt <skitt@debian.org>  Mon, 13 Mar 2023 12:59:52 +0100

xmoto (0.6.1+repack-9) unstable; urgency=medium

  [ Stephen Kitt ]
  * Make the autopkgtest abort early on errors other than ECONNREFUSED.
  * Mark xmoto-data as “Multi-Arch: foreign”.
  * Build-depend on libgl-dev only, instead of libgl1-mesa-dev.
  * Standards-Version 4.6.2, no change required.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Feb 2023 19:12:53 +0100

xmoto (0.6.1+repack-8) unstable; urgency=medium

  * Rework the autopkgtest: set up the signal to detect if the X-Moto
    server exits during the test, and repeat the connection test for up to
    60 seconds. Thanks to Simon McVittie for the suggestions!
    Closes: #1006815.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 Apr 2022 21:33:09 +0200

xmoto (0.6.1+repack-7) unstable; urgency=medium

  * Give X-Moto more time to start in the autopkgtests.

 -- Stephen Kitt <skitt@debian.org>  Sat, 30 Oct 2021 10:12:12 +0200

xmoto (0.6.1+repack-6) unstable; urgency=medium

  * Allow the autopkgtest to build with GCC 10 (thanks John Scott!).

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Oct 2021 13:22:17 +0200

xmoto (0.6.1+repack-5) unstable; urgency=medium

  [ John Scott ]
  * Add a superficial DEP-8 test that serving an X-Moto server works.

  [ Stephen Kitt ]
  * Drop the dh_auto_configure override, it’s obsolete since the switch
    to CMake. Closes: #997398.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Oct 2021 13:20:47 +0200

xmoto (0.6.1+repack-4) unstable; urgency=medium

  * Initialise static and dynamic bodies using the correct constructors.
    Closes: #983493.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Feb 2021 18:04:03 +0100

xmoto (0.6.1+repack-3) unstable; urgency=medium

  * Team upload.
  * Fixed xmoto-data: Broken links to DejaVu fonts. DejaVus TrueType fonts have
    moved. Updated symbolic links to point to the new location. Closes: #969909.

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 09 Sep 2020 07:05:01 +0200

xmoto (0.6.1+repack-2) unstable; urgency=medium

  * Port to Chipmunk2D 7, and build using the packaged version.
    Closes: #623299.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Jul 2020 11:12:03 +0200

xmoto (0.6.1+repack-1) unstable; urgency=medium

  * New upstream release, merging fix_segfault.patch.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Tue, 30 Jun 2020 21:05:19 +0200

xmoto (0.6.0+repack-1) unstable; urgency=medium

  * New upstream release, merging most patches.
  * Depend on fonts-dejavu-core instead of ttf-dejavu-core.
    Closes: #946057.
  * Update debian/watch to download from GitHub.
  * Exclude the Windows translation tools.
  * Switch to debhelper compatibility level 12.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Jun 2020 06:38:40 +0200

xmoto (0.5.11+dfsg-8) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 May 2018 20:42:54 +0200

xmoto (0.5.11+dfsg-7) unstable; urgency=medium

  * Avoid comparing pointers with booleans. (Closes: #853712.)
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.
  * Switch to debhelper compatibility level 10.
  * Update forwarded patches.

 -- Stephen Kitt <skitt@debian.org>  Tue, 08 Aug 2017 13:12:11 +0200

xmoto (0.5.11+dfsg-6) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Pull in part of upstream's svn version 3421 to build with gcc 5.
    (Closes: #818782.)
  * Update the spelling fixes.
  * Enable all hardening options.
  * Standards-Version 3.9.7, no change required (but clean up
    debian/control using cme).
  * Drop obsolete versioned dependency on dpkg-dev.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Mar 2016 00:06:55 +0100

xmoto (0.5.11+dfsg-5) unstable; urgency=medium

  * ode13.patch is apparently no longer necessary and breaks the build on
    armel, mips and mipsel, so drop it. (Closes: #804839.)

 -- Stephen Kitt <skitt@debian.org>  Sun, 15 Nov 2015 22:51:37 +0100

xmoto (0.5.11+dfsg-4) unstable; urgency=medium

  * Allow building with libode 0.13.
  * Fix all string constant warnings.
  * Build with g++ 4.9 for now, builds with g++ 5 don't display text.
    (Closes: #802017.)

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Oct 2015 22:54:09 +0200

xmoto (0.5.11+dfsg-3) unstable; urgency=medium

  * Avoid __DATE__ and __TIME__ to build reproducibly.
  * Drop Debian menu and XPM icon.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 Oct 2015 19:53:07 +0200

xmoto (0.5.11+dfsg-2) unstable; urgency=medium

  * src/helpers/utf8.h uses the same guard macro as g++'s new
    unicode/utf8.h; using a more specific guard allows the package to
    build again.
  * Clean up debian/copyright.
  * Correct the spelling of 'Portuguese'.
  * Standards-Version 3.9.6, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 May 2015 00:32:41 +0200

xmoto (0.5.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move the packaging repository to git.
  * Use a "Files-Excluded" directive in debian/copyright to remove
    glext.h.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 May 2014 08:02:36 +0200

xmoto (0.5.10+dfsg-2) unstable; urgency=medium

  [ Markus Koschany ]
  * Update xmoto.menu and add an icon entry. (Closes: #726905)

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Stephen Kitt ]
  * Switch to my Debian address and drop DMUA.
  * Standards-Version 3.9.5, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 22 Mar 2014 14:29:02 +0100

xmoto (0.5.10+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Stephen Kitt <steve@sk2.org>  Wed, 27 Jun 2012 07:57:03 +0200

xmoto (0.5.9+dfsg-3) unstable; urgency=low

  * Pino Toscano provided a better patch to remove the use of sa_restorer,
    thanks! (Closes: #674636.)

 -- Stephen Kitt <steve@sk2.org>  Sat, 26 May 2012 20:31:17 +0200

xmoto (0.5.9+dfsg-2) unstable; urgency=low

  * Remove reference to sa_restorer which is deprecated generally and
    not available on some architectures.

 -- Stephen Kitt <steve@sk2.org>  Sat, 26 May 2012 11:55:37 +0200

xmoto (0.5.9+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #644234):
    + builds with libpng 1.5 (closes: #649797);
    + uses libxml2;
    + uses DejaVuSansMono (add link and make ttf-dejavu-core a dependency
      of xmoto-data).
  * Repacked to remove src/glext.h, licensed under SGI License B version
    1.1. (I'm hoping that this will be fixed upstream, so I haven't added
    a get-orig-source target to debian/rules.)
  * Update debian/watch accordingly.
  * Update patches:
    + remove-glext.patch: add (allows building without glext.h), forward
      upstream;
    + fix_segfault.patch: refresh, add DEP-3 header, forward upstream;
    + desktop.patch: re-apply, add German translation (closes: #641822),
      forward upstream;
    + spelling.patch: refresh, forward upstream;
    + manpage.patch: forward upstream;
    + gcc44-ftbfs.patch: no longer used, delete.
  * Switch to dh 9 with simple rules.
  * Use source format "3.0 (quilt)", drop explanations from
    README.source.
  * Update README.source to explain the removal of glext.h, and the use of
    "xmoto --unpack" and "xmoto --pack" to manipulate xmoto.bin (closes:
    #661340).
  * Add ${misc:Depends} where appropriate.
  * Patch the manpage to fix hyphens and a few spelling mistakes.
  * Add myself to uploaders.
  * Update debian/copyright.
  * Standards-Version 3.9.3 (no further change required).
  * Fix spelling mistakes spotted by Lintian.
  * Use dh-autoreconf to update config.{guess,sub} (thanks to Ansgar
    Burchardt for the hint).
  * wrap-and-sort control files.
  * Build-depend on libpng-dev only, dropping the libpng12-dev alternative
    (closes: #662565).
  * Fix "ftbfs with GCC-4.7" by including unistd.h where appropriate
    (closes: #667422; thanks to Cyril Brulebois for his patch for another
    gcc-4.7-related issue, which was already included upstream).
  * Fix the Vcs-Browser URL.
  * Allow DM uploads as requested by Michael Gilbert.

 -- Stephen Kitt <steve@sk2.org>  Wed, 23 May 2012 08:18:30 +0200

xmoto (0.5.5-1) unstable; urgency=low

  * Team upload.

  [ Stephen Kitt ]
  * New upstream release. (Closes: #580428.)
  * Update patches:
    + fix_segfault.patch: refreshed;
    + 64bit-ftbfs.patch: removed (applied upstream).
  * Add libxdg-basedir-dev build-dependency.

  [ Bruno "Fuddl" Kleinert ]
  * Prepare for libjpeg8 transition and depend on libjpeg-dev instead of
    libjpeg62-dev. Thanks to Bill Allombert for pointing this out.
    (Closes: #634648)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 19 Jul 2011 18:07:10 +0200

xmoto (0.5.2-2) unstable; urgency=low

  [ Barry deFreese ]
  * 64bit-ftbfs.diff - Fix FTBFS on 64bit. (Closes: #548511).
    + Thanks to Peter De Wachter for the patch!

 -- Barry deFreese <bdefreese@debian.org>  Sun, 27 Sep 2009 11:57:06 -0400

xmoto (0.5.2-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release.
    + Remove desktop and gcc-4.4 patches as they are fixed upstream.
  * Add README.source for quilt package.
  * Bump debhelper build-dep to 5 to match compat.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Sat, 26 Sep 2009 10:01:44 -0400

xmoto (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Fri, 17 Apr 2009 10:28:00 +0200

xmoto (0.5.0-3) unstable; urgency=low

  [ Samuel Mimram ]
  * Remove obsolete Suggests to xmoto-edit.

  [ Barry deFreese ]
  * Change libode0-dev build-depeds to libode-dev. (Closes: #520734).
  * Bump Standards Version to 3.8.1. (No changes needed).

  [ Gonéri Le Bouder ]
  * Pass -DdDOUBLE to gcc, this should be done by pkg-config but xmoto
    doesn't use it yet (Closes: #521013)
  * Add myself in uploaders

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 24 Mar 2009 12:27:21 +0100

xmoto (0.5.0-2) unstable; urgency=low

  * Upload to unstable.
  * Use DejaVuSans.ttf from the package ttf-dejavu-core.

 -- Samuel Mimram <smimram@debian.org>  Sun, 15 Feb 2009 22:10:00 +0100

xmoto (0.5.0-1) experimental; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release (Closes: #508286)
  * Added patch to fix FTBFS in gcc 4.4 (Closes: #505414)
    + Thanks to Martin Michlmayr for the patch.
  * Refreshed patches
  * Removed patch fix_segfault2.patch: Already fixed in upstream code

  [ Samuel Mimram ]
  * Add missing dependency on libsdl-net1.2-dev.

 -- Samuel Mimram <smimram@debian.org>  Tue, 23 Dec 2008 15:55:40 +0100

xmoto (0.4.2-3) unstable; urgency=medium

  [ Barry deFreese ]
  * Don't segfault on NULL db values. (Closes: #492414).
    + Thanks to Gustavo Noronha Silva for the patch.
  * Add patch-stamp target.
  * Add myself to uploaders.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 11 Oct 2008 09:34:05 -0400

xmoto (0.4.2-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Upgraded Standards-Version to 3.8.0. No changes needed.
  * Don't call atoi(NULL), fixes segfault on upgrade from etch
    (Closes: #492414). Thanks to Julien Cristau <jcristau@debian.org>
  * Added Homepage field to debian/control
  * Added Suggests: xmoto to package xmoto-data
  * Added ArcadeGame to desktop categories. Closes: #478974
    Thanks to Daniel Dickinson <cshore@wightman.ca>
  * Replaced dpatch by quilt for patch management
  * Replaced build dependency on the obsolete xlibmesa-gl-dev
    by libgl1-mesa-dev
  * The Debian Games Team is taking care for this package from now on

  [ Ansgar Burchardt ]
  * Add Vcs-* fields

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 26 Aug 2008 21:42:52 +0200

xmoto (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Tue, 18 Mar 2008 20:27:10 +0100

xmoto (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Removed build-dependency on subversion.
  * Builds with gcc 4.3, closes: #462050.

 -- Samuel Mimram <smimram@debian.org>  Thu, 14 Feb 2008 21:36:29 +0100

xmoto (0.4.0-2) unstable; urgency=low

  * Add missing build-dependency on subversion, closes: #463224.

 -- Samuel Mimram <smimram@debian.org>  Fri, 01 Feb 2008 08:49:09 +0100

xmoto (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Should build cleanly with gcc 4.3, closes: #462050.
  * Manpage is now up-to-date, closes: #449333.
  * --nogfx option was removed, closes: #450685.
  * Correcly set CXXFLAGS in rules, closes: #450682.
  * Build with lua 5.1.
  * Don't build with experimental configure option --with-enable-zooming=1.

 -- Samuel Mimram <smimram@debian.org>  Tue, 29 Jan 2008 23:15:49 +0100

xmoto (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Removed room.dpatch and joystick.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Wed, 17 Oct 2007 20:06:24 +0000

xmoto (0.3.3-2) unstable; urgency=low

  * Added room.dpatch and joystick.dpatch to fix segfaults, closes: #444184.

 -- Samuel Mimram <smimram@debian.org>  Wed, 26 Sep 2007 19:08:48 +0000

xmoto (0.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Tue, 28 Aug 2007 20:36:23 +0200

xmoto (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Updated watch file.

 -- Samuel Mimram <smimram@debian.org>  Tue, 07 Aug 2007 12:47:56 +0200

xmoto (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Tue, 03 Jul 2007 21:40:25 +0200

xmoto (0.3.0-3) unstable; urgency=low

  * Rebuild against libcurl3, closes: #430450.

 -- Samuel Mimram <smimram@debian.org>  Tue, 26 Jun 2007 17:11:01 +0200

xmoto (0.3.0-2) unstable; urgency=low

  * Build-depend on libcurl4-dev instead of libcurl3-dev, closes: #428817.

 -- Samuel Mimram <smimram@debian.org>  Thu, 14 Jun 2007 19:07:59 +0200

xmoto (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Added libsqlite3-dev and libsdl-ttf2.0-dev as a build-dependencies.
  * The F8 key can disable web connection, closes: #393341.
  * Level times are now updated after a level is won, closes: #416422.
  * Translation in french now includes accents, closes: #407604.

 -- Samuel Mimram <smimram@debian.org>  Thu, 14 Jun 2007 00:20:57 +0200

xmoto (0.2.7-1) unstable; urgency=low

  * New upstream release.
  * Added a mime for rpl files, closes: #400769.
  * Removed use_regular_modes_for_non_windowed.dpatch, integrated upstream.
  * Suggest xmoto-edit.

 -- Samuel Mimram <smimram@debian.org>  Fri, 16 Mar 2007 18:35:43 +0100

xmoto (0.2.6-1) unstable; urgency=low

  * New upstream release.
  * Removed fix_replay_creation_64bits-0{1,2}.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Sat,  3 Mar 2007 17:27:46 +0100

xmoto (0.2.4-2) unstable; urgency=low

  * Added fix_replay_creation_64bits-0{1,2}.dpatch to fix a crash when viewing
    a replay on amd64, closes: #388683.
  * Enable zoom.

 -- Samuel Mimram <smimram@debian.org>  Fri,  5 Jan 2007 18:16:24 +0000

xmoto (0.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Sat, 23 Dec 2006 13:04:49 +0000

xmoto (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * xmoto-edit is no longer part of the main xmoto package, and will
    eventually have its own package.
  * New -unpack command-line option for xmoto, closes: #395845.
  * New levels list is now saved when you quit xmoto, closes: #390622.
  * Removed tuxfamily.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Fri, 22 Dec 2006 17:53:35 +0000

xmoto (0.2.2-2) unstable; urgency=low

  * Added tuxfamily.dpatch to correct xmoto's website url which is now
    xmoto.tuxfamily.org. Put a note about this in NEWS.Debian.

 -- Samuel Mimram <smimram@debian.org>  Sun, 10 Dec 2006 23:38:14 +0000

xmoto (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Removed endianness_display_fix.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Tue,  3 Oct 2006 10:02:56 +0000

xmoto (0.2.1-2) unstable; urgency=low

  * Added endianness_display_fix.dpatch for items to be correctly displayed
    (thanks Cyril Brulebois), closes: #389107.

 -- Samuel Mimram <smimram@debian.org>  Sat, 30 Sep 2006 16:46:03 +0000

xmoto (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Removed manpages and desktop files from the Debian package as they are now
    provided upstream.
  * Make the package binNMUable.

 -- Samuel Mimram <smimram@debian.org>  Thu, 14 Sep 2006 21:01:20 +0000

xmoto (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Added libbz2-dev as build-dependency.
  * Removed ghost_of.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Fri, 28 Jul 2006 07:59:18 +0200

xmoto (0.1.16-3) unstable; urgency=low

  * Added ghost_of.dpatch to correct a typo, closes: #376228.
  * Show the last 100 lines of config.log when configure fails to debug the
    FTBFS on arm.

 -- Samuel Mimram <smimram@debian.org>  Thu, 13 Jul 2006 17:38:41 +0000

xmoto (0.1.16-2) unstable; urgency=low

  * Added use_regular_modes_for_non_windowed.dpatch to show all video modes
    when running in a window (thanks Brice Goglin), closes: #374329.

 -- Samuel Mimram <smimram@debian.org>  Thu, 15 Jun 2006 23:58:12 +0000

xmoto (0.1.16-1) unstable; urgency=low

  * New upstream release.
  * Removed cache64.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Thu, 15 Jun 2006 23:47:08 +0000

xmoto (0.1.14-2) unstable; urgency=low

  * Added a cache64.patch to fix a bug with the caching system on 64 bit
    archs, closes: #368362.

 -- Samuel Mimram <smimram@debian.org>  Wed, 24 May 2006 00:01:32 +0000

xmoto (0.1.14-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Fri, 19 May 2006 21:51:24 +0000

xmoto (0.1.12+0.1.13test3-1) experimental; urgency=low

  * New upstream release.
  * New build-dependency: libcurl3-dev.
  * Updated Standards-Version to 3.7.0, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sun, 30 Apr 2006 21:33:54 +0200

xmoto (0.1.12-3) unstable; urgency=low

  * Added an icon for xmoto menu.

 -- Samuel Mimram <smimram@debian.org>  Mon, 17 Apr 2006 20:40:42 +0200

xmoto (0.1.12-2) unstable; urgency=low

  * Put back gcc_4.1.dpatch (was not integrated upstream), closes: #357186.
  * Don't install useless NEWS, closes: #361891.

 -- Samuel Mimram <smimram@debian.org>  Thu, 13 Apr 2006 15:22:45 +0000

xmoto (0.1.12-1) unstable; urgency=low

  * New upstream release.
  * Added a .desktop file (thanks Sven Arvidsson), closes: #361553.
  * Removed gcc_4.1.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Sun,  9 Apr 2006 21:32:21 +0000

xmoto (0.1.11-2) unstable; urgency=low

  * Added gcc_4.1.dpatch in order for xmoto to correctly build with G++ 4.1
    (thanks Martin Michlmayr), closes: #357186.

 -- Samuel Mimram <smimram@debian.org>  Thu, 16 Mar 2006 18:04:48 +0000

xmoto (0.1.11-1) unstable; urgency=low

  * New upstream release.
  * It should now longer be possible to move head through level geometry at
    high speed or by flipping, closes: #340054.
  * Game no longer quits if a level specified by the user or a replay isn't
    found, closes: #343282.

 -- Samuel Mimram <smimram@debian.org>  Thu,  9 Feb 2006 15:52:33 +0000

xmoto (0.1.10-1) unstable; urgency=low

  * New upstream release.
  * Removed arch64.dpatch.
  * Missing .h included, closes: #340039.
  * Rewind now uncollect strawberries in replays, closes: #337905.
  * Smoother replays, closes: #337906, #341523.
  * Correctly handling escape while entering the name of a replay,
    closes: #340055.

 -- Samuel Mimram <smimram@debian.org>  Sat,  3 Dec 2005 12:57:37 +0100

xmoto (0.1.8-2) unstable; urgency=low

  * Declaration of PFNGLBUFFERDATAARBPROC is still incorrect. arch64.dpatch is
    back.

 -- Samuel Mimram <smimram@debian.org>  Mon,  7 Nov 2005 20:31:31 +0100

xmoto (0.1.8-1) unstable; urgency=low

  * New upstream release.
  * A replay feature was added, closes: #335540.
  * Removed arch64.dpatch and big_endian.dpatch which are now correctly
    integrated upstream.
  * Added libsdl-mixer1.2-dev in build-dependencies and removed libvorbis-dev
    and libglu1-xorg-dev | libglu-dev.
  * Cleaned up licenses of removed files in debian/copyright.
  * Added -ugly option in xmoto's manpage.

 -- Samuel Mimram <smimram@debian.org>  Mon,  7 Nov 2005 00:44:13 +0100

xmoto (0.1.7-2) unstable; urgency=low

  * big_endian.dpatch is back to fix an endianness problem when reading .dat
    files. It wasn't correctly applied upstream, closes: #335672.
  * Installing files in /usr/games and /usr/share/games, closes: #337503.

 -- Samuel Mimram <smimram@debian.org>  Sat,  5 Nov 2005 12:10:47 +0100

xmoto (0.1.7-1) unstable; urgency=low

  * New upstream release.
  * New build dependencies: libode0-dev, liblua50-dev, liblualib50-dev.
    Upstream is now using shared libraries, closes: #335584.
  * Removed bigendian.dpatch and mmgr.dpatch, integrated upstream.
  * Updated arch64.dpatch.
  * Properly calling configure in rules (thanks Julien Cristau).

 -- Samuel Mimram <smimram@debian.org>  Fri, 28 Oct 2005 22:48:53 +0200

xmoto (0.1.6.dfsg-5) unstable; urgency=low

  * We're back on any arch.
  * Added arch64.dpatch to build cleanly on 64 bit archs (thanks Yann
    Vernier).
  * Added bigendian.dpatch to solve the fatal exception on big endian archs
    (thanks Michel Daenzer), closes: #335672.

 -- Samuel Mimram <smimram@debian.org>  Tue, 25 Oct 2005 20:48:24 +0200

xmoto (0.1.6.dfsg-4) unstable; urgency=low

  * Correctly handling arch-dependant stuff in the rules.
  * Added kfreebsd-i386 to the list of supported archs, closes: #335420.

 -- Samuel Mimram <smimram@debian.org>  Sun, 23 Oct 2005 21:36:07 +0200

xmoto (0.1.6.dfsg-3) unstable; urgency=low

  * xmoto does not build on 64 bit archs for now. Specifying the list of
    supported archs in the Architecture field.

 -- Samuel Mimram <smimram@debian.org>  Sun, 23 Oct 2005 16:48:15 +0200

xmoto (0.1.6.dfsg-2) unstable; urgency=low

  * Added glsizeiptr.dpatch patch to give the correct type of a function and
    hopefully solve the FTBFS on 64 bit archs.

 -- Samuel Mimram <smimram@debian.org>  Sun, 23 Oct 2005 12:48:56 +0200

xmoto (0.1.6.dfsg-1) unstable; urgency=low

  * Initial release, closes: #331535.
  * Removed mmgr.cpp, mmgr.h and nommgr.h from upstream source. It wasn't DFSG
    compliant since the licence prevented users from doing harm to others with
    it.

 -- Samuel Mimram <smimram@debian.org>  Wed, 12 Oct 2005 23:17:40 +0200
